// vim:syntax=javascript

// straightforward push, vertical

class Level3 extends OneParticleLevel {
    function Level3(parent_config : Object) {

        var message_setup : Function = gen_message_setup(parent_config,
            "Where a particle starts in a force field determines its speed when it exits the field.\n\nIf it starts nearer to the low potential end (the end where it exits), it will get less energy, thus less speed.\n\nCreate a field to give this particle no more than 1.7 m/s speed when it hits the target.",
            370, 250);
        var tip_engine : Function = function (is_running : Boolean, fields : /*Field*/ Array, particles : /*Particle*/ Array) : String {
            return "Remember: Maximum speed is 1.7 m/s";
        };

        super(parent_config,
              message_setup,
              tip_engine,
              200, 70,
              0, 0,
              1,
              200, 190,
              6,
              1.7,
              1,
              []);
    }
}
