// vim:syntax=javascript

// straightforward push, vertical

class Level1 extends OneParticleLevel {
    function Level1(parent_config : Object) {

        var message_setup : Function = gen_message_setup(parent_config,
            "Your first goal is to move the white particle to the target below.\n\nYou can click and drag to create a force field to acceletate the particle.\n\nPressing Enter starts and stops the simulation.\n\nUse Backspace to remove a field.\n\nClick to get started!",
            370, 270);

        var tip_engine : Function = gen_tip_engine_1_2("fy");

        super(parent_config,
              message_setup,
              tip_engine,
              200, 70,
              0, 0,
              1,
              200, 190,
              6,
              10,
              1,
              []);
    }
}
